﻿@inject NavigationManager NavManager
@inject UserAppState UserAppState

@implements IDisposable

<MudText Typo="Typo.h1">@Title</MudText>

<LoadingWrapper RequiresAuth="true" @bind-ProgressCount="@CurrentProgress" TotalProgress="2">
    @ChildContent
</LoadingWrapper>